## restund-0.4.12.tar.gz

=== Makefile ===
#
# Makefile
#
# Copyright (C) 2010 Creytiv.com
#
# Input variables:
#
#   USE_MYSQL         If non-empty, build mysql_ser client module
#

VER_MAJOR := 0
VER_MINOR := 4
VER_PATCH := 12

PROJECT   := restund
VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

MODULES	  := binding auth turn stat status filedb restauth
MODULES	  += $(EXTRA_MODULES)

LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \
	echo "../re/mk/re.mk")
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/share/re/re.mk ] && \
	echo "/usr/share/re/re.mk")
endif
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/local/share/re/re.mk ] && \
	echo "/usr/local/share/re/re.mk")
endif

include $(LIBRE_MK)

ifeq ($(OS),win32)
STATIC    := yes
endif


ifneq ($(STATIC),)
CFLAGS    += -DSTATIC=1
endif


# Optional syslog module
ifneq ($(OS),win32)
USE_SYSLOG := 1
endif
ifneq ($(USE_SYSLOG),)
MODULES += syslog
endif

# Optional MySQL client module
USE_MYSQL := $(shell [ -f $(SYSROOT)/include/mysql/mysql.h ] || \
		[ -f $(SYSROOT)/local/include/mysql/mysql.h ] || \
		[ -f $(SYSROOT_ALT)/include/mysql/mysql.h ] || \
		[ -f $(SYSROOT_ALT)/include/mysql5/mysql/mysql.h ] && echo "1")
ifneq ($(USE_MYSQL),)
MODULES += mysql_ser
endif


INSTALL := install
ifeq ($(DESTDIR),)
PREFIX  := /usr/local
else
PREFIX  := /usr
endif
SBINDIR	:= $(PREFIX)/sbin
DATADIR := $(PREFIX)/share
ifeq ($(LIBDIR),)
LIBDIR  := $(PREFIX)/lib
endif
MOD_PATH:= $(LIBDIR)/$(PROJECT)/modules
CFLAGS	+= -I$(LIBRE_INC) -Iinclude
BIN	:= $(PROJECT)$(BIN_SUFFIX)
ifeq ($(STATIC),)
MOD_BINS:= $(patsubst %,%$(MOD_SUFFIX),$(MODULES))
endif
APP_MK	:= src/srcs.mk
MOD_MK	:= $(patsubst %,modules/%/module.mk,$(MODULES))
MOD_BLD	:= $(patsubst %,$(BUILD)/modules/%,$(MODULES))

include $(APP_MK)
include $(MOD_MK)

OBJS	+= $(patsubst %.c,$(BUILD)/src/%.o,$(SRCS))

ifneq ($(STATIC),)
LIBS      += $(MOD_LFLAGS)
include mk/static.mk
endif


all: $(MOD_BINS) $(BIN)

-include $(OBJS:.o=.d)

# GPROF requires static linking
$(BIN): $(OBJS)
	@echo "  LD      $@"
ifneq ($(GPROF),)
	@$(LD) $(LFLAGS) $(APP_LFLAGS) $^ ../re/libre.a $(LIBS) -o $@
else
	@$(LD) $(LFLAGS) $(APP_LFLAGS) $^ -L$(LIBRE_SO) -lre $(LIBS) -o $@
endif

$(BUILD)/%.o: %.c $(BUILD) Makefile $(APP_MK)
	@echo "  CC      $@"
	@$(CC) $(CFLAGS) -o $@ -c $< $(DFLAGS)

$(BUILD): Makefile
	@mkdir -p $(BUILD)/src $(MOD_BLD)
	@touch $@

clean:
	@rm -rf $(BIN) $(MOD_BINS) $(BUILD) src/static.c

install: $(BIN) $(MOD_BINS)
	@mkdir -p $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0755 $(BIN) $(DESTDIR)$(SBINDIR)
	@mkdir -p $(DESTDIR)$(MOD_PATH)
	$(INSTALL) -m 0644 $(MOD_BINS) $(DESTDIR)$(MOD_PATH)
	@mkdir -p $(DESTDIR)$(DATADIR)/munin/plugins
	$(INSTALL) -m 0755 etc/munin/* $(DESTDIR)$(DATADIR)/munin/plugins

config:
	@mkdir -p $(DESTDIR)/etc
	$(INSTALL) -m 0644 etc/restund.conf $(DESTDIR)/etc/.
	$(INSTALL) -m 0644 etc/restund.auth $(DESTDIR)/etc/.

=== debian/changelog ===
restund (0.4.12) unstable; urgency=low

  * version 0.4.12

 -- Alfred E. Heggestad <aeh@db.org>  Sat, 3 Oct 2015 15:00:00 +0100

restund (0.4.11) unstable; urgency=low

  * version 0.4.11

 -- Alfred E. Heggestad <aeh@db.org>  Tue, 9 Dec 2014 20:00:00 +0100

restund (0.4.10-1) unstable; urgency=low

  * version 0.4.10-1

 -- Richard Aas <richard@db.org>  Thu, 27 Nov 2014 09:09:00 +0100

restund (0.4.10) unstable; urgency=low

  * version 0.4.10

 -- Richard Aas <richard@db.org>  Thu, 06 Nov 2014 09:09:00 +0100

restund (0.4.9) unstable; urgency=low

  * version 0.4.9

 -- Alfred E. Heggestad <aeh@db.org>  Thu, 21 Aug 2014 09:09:00 +0100

restund (0.4.2) unstable; urgency=low

  * version 0.4.2

 -- Alfred E. Heggestad <aeh@db.org>  Sun, 9 Sept 2012 09:09:00 +0100

restund (0.4.1) unstable; urgency=low

  * version 0.4.1

 -- Alfred E. Heggestad <aeh@db.org>  Sat, 21 Apr 2012 21:04:00 +0100

restund (0.4.0) unstable; urgency=low

  * version 0.4.0

 -- Alfred E. Heggestad <aeh@db.org>  Sun, 25 Dec 2011 12:25:00 +0100

restund (0.3.0) unstable; urgency=low

  * version 0.3.0

 -- Alfred E. Heggestad <aeh@db.org>  Wed, 7 Sept 2011 07:11:00 +0100

restund (0.2.0) unstable; urgency=low

  * version 0.2.0

 -- Alfred E. Heggestad <aeh@db.org>  Fri, 20 May 2011 20:05:00 +0100

restund (0.1.0) unstable; urgency=low

  * version 0.1.0

 -- Alfred E. Heggestad <aeh@db.org>  Fri, 5 Nov 2010 05:11:10 +0100

=== debian/control ===
Source: restund
Section: comm
Priority: optional
Maintainer: Alfred E. Heggestad <aeh@db.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9.20120311), libre-dev (>= 0.4.11)
Homepage: http://www.creytiv.com/

Package: restund
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libre (>= 0.4.11)
Description: Modular STUN/TURN Server
 Restund is a modular and flexible STUN and TURN Server,
 with IPv4 and IPv6 support.
 .
 The server is designed around the principle of a lightweight core
 using server modules to extend its functionality.
 .
 Some of the modules supported:
 .
  Authentication module
  Binding module
  MySQL module
  Statistics module
  Status module
  Syslog module
  TURN module

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CFLAGS | sed -e 's/-O2//')"
EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS)"


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) RELEASE=1 \
		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
		EXTRA_LFLAGS=$(EXTRA_LFLAGS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/restund install config
	sed -i -e 's/usr\/local/usr/' $(CURDIR)/debian/restund/etc/restund.conf


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build

build-indep: build

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
